## monit 5.6

=== libmonit/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) Tildeslash Ltd. All rights reserved.


pkgdatadir = $(datadir)/libmonit
pkgincludedir = $(includedir)/libmonit
pkglibdir = $(libdir)/libmonit
pkglibexecdir = $(libexecdir)/libmonit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure \
	$(top_srcdir)/src/xconfig.h.in COPYING config/config.guess \
	config/config.sub config/install-sh config/ltmain.sh \
	config/missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/xconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libmonit_la_LIBADD =
am__dirstamp = $(am__leading_dot)dirstamp
am_libmonit_la_OBJECTS = src/Bootstrap.lo src/exceptions/assert.lo \
	src/exceptions/Exception.lo src/io/Dir.lo src/io/File.lo \
	src/io/InputStream.lo src/io/OutputStream.lo src/system/Mem.lo \
	src/system/Net.lo src/system/Time.lo src/system/Command.lo \
	src/system/System.lo src/util/List.lo src/util/Str.lo \
	src/util/StringBuffer.lo src/thread/Thread.lo
libmonit_la_OBJECTS = $(am_libmonit_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libmonit_la_SOURCES)
DIST_SOURCES = $(libmonit_la_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AR = ar
AUTOCONF = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -D _REENTRANT -Wall -Wunused -Wno-unused-label -funsigned-char -D_GNU_SOURCE -std=c99
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libmonit
PACKAGE_BUGREPORT = monit-dev@tildeslash.com
PACKAGE_NAME = libmonit
PACKAGE_STRING = libmonit 1.0
PACKAGE_TARNAME = libmonit
PACKAGE_URL = 
PACKAGE_VERSION = 1.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 1.0
abs_builddir = /home/martinp/svn/monit/libmonit
abs_srcdir = /home/martinp/svn/monit/libmonit
abs_top_builddir = /home/martinp/svn/monit/libmonit
abs_top_srcdir = /home/martinp/svn/monit/libmonit
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/martinp/svn/monit/libmonit/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPTIONS = foreign no-dependencies subdir-objects
ACLOCAL_AMFLAGS = -I m4
SUBDIRS = . test
EXTRA_DIST = README COPYING bootstrap test src config
AM_CPPFLAGS = $(CPPFLAGS) $(DBCPPFLAGS) -I./src -I./src/exceptions -I./src/io -I./src/net -I./src/util -I./src/thread

# libmonit is built static
noinst_LTLIBRARIES = libmonit.la
libmonit_la_SOURCES = \
		  src/Bootstrap.c \
                  src/exceptions/assert.c \
                  src/exceptions/Exception.c \
                  src/io/Dir.c \
                  src/io/File.c \
                  src/io/InputStream.c \
                  src/io/OutputStream.c \
                  src/system/Mem.c \
                  src/system/Net.c \
                  src/system/Time.c \
                  src/system/Command.c \
                  src/system/System.c \
                  src/util/List.c \
                  src/util/Str.c \
                  src/util/StringBuffer.c \
                  src/thread/Thread.c

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

src/xconfig.h: src/stamp-h1
	@if test ! -f $@; then rm -f src/stamp-h1; else :; fi
	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) src/stamp-h1; else :; fi

src/stamp-h1: $(top_srcdir)/src/xconfig.h.in $(top_builddir)/config.status
	@rm -f src/stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status src/xconfig.h
$(top_srcdir)/src/xconfig.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f src/stamp-h1
	touch $@

distclean-hdr:
	-rm -f src/xconfig.h src/stamp-h1

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
src/$(am__dirstamp):
	@$(MKDIR_P) src
	@: > src/$(am__dirstamp)
src/Bootstrap.lo: src/$(am__dirstamp)
src/exceptions/$(am__dirstamp):
	@$(MKDIR_P) src/exceptions
	@: > src/exceptions/$(am__dirstamp)
src/exceptions/assert.lo: src/exceptions/$(am__dirstamp)
src/exceptions/Exception.lo: src/exceptions/$(am__dirstamp)
src/io/$(am__dirstamp):
	@$(MKDIR_P) src/io
	@: > src/io/$(am__dirstamp)
src/io/Dir.lo: src/io/$(am__dirstamp)
src/io/File.lo: src/io/$(am__dirstamp)
src/io/InputStream.lo: src/io/$(am__dirstamp)
src/io/OutputStream.lo: src/io/$(am__dirstamp)
src/system/$(am__dirstamp):
	@$(MKDIR_P) src/system
	@: > src/system/$(am__dirstamp)
src/system/Mem.lo: src/system/$(am__dirstamp)
src/system/Net.lo: src/system/$(am__dirstamp)
src/system/Time.lo: src/system/$(am__dirstamp)

=== libmonit/test/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libmonit
pkgincludedir = $(includedir)/libmonit
pkglibdir = $(libdir)/libmonit
pkglibexecdir = $(libexecdir)/libmonit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
noinst_PROGRAMS = StrTest$(EXEEXT) SystemTest$(EXEEXT) \
	ListTest$(EXEEXT) DirTest$(EXEEXT) StringBufferTest$(EXEEXT) \
	InputStreamTest$(EXEEXT) OutputStreamTest$(EXEEXT) \
	FileTest$(EXEEXT) ExceptionTest$(EXEEXT) NetTest$(EXEEXT) \
	TimeTest$(EXEEXT) CommandTest$(EXEEXT)
subdir = test
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/xconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_CommandTest_OBJECTS = CommandTest.$(OBJEXT)
CommandTest_OBJECTS = $(am_CommandTest_OBJECTS)
CommandTest_LDADD = $(LDADD)
CommandTest_DEPENDENCIES = ../libmonit.la
am_DirTest_OBJECTS = DirTest.$(OBJEXT)
DirTest_OBJECTS = $(am_DirTest_OBJECTS)
DirTest_LDADD = $(LDADD)
DirTest_DEPENDENCIES = ../libmonit.la
am_ExceptionTest_OBJECTS = ExceptionTest.$(OBJEXT)
ExceptionTest_OBJECTS = $(am_ExceptionTest_OBJECTS)
ExceptionTest_LDADD = $(LDADD)
ExceptionTest_DEPENDENCIES = ../libmonit.la
am_FileTest_OBJECTS = FileTest.$(OBJEXT)
FileTest_OBJECTS = $(am_FileTest_OBJECTS)
FileTest_LDADD = $(LDADD)
FileTest_DEPENDENCIES = ../libmonit.la
am_InputStreamTest_OBJECTS = InputStreamTest.$(OBJEXT)
InputStreamTest_OBJECTS = $(am_InputStreamTest_OBJECTS)
InputStreamTest_LDADD = $(LDADD)
InputStreamTest_DEPENDENCIES = ../libmonit.la
am_ListTest_OBJECTS = ListTest.$(OBJEXT)
ListTest_OBJECTS = $(am_ListTest_OBJECTS)
ListTest_LDADD = $(LDADD)
ListTest_DEPENDENCIES = ../libmonit.la
am_NetTest_OBJECTS = NetTest.$(OBJEXT)
NetTest_OBJECTS = $(am_NetTest_OBJECTS)
NetTest_LDADD = $(LDADD)
NetTest_DEPENDENCIES = ../libmonit.la
am_OutputStreamTest_OBJECTS = OutputStreamTest.$(OBJEXT)
OutputStreamTest_OBJECTS = $(am_OutputStreamTest_OBJECTS)
OutputStreamTest_LDADD = $(LDADD)
OutputStreamTest_DEPENDENCIES = ../libmonit.la
am_StrTest_OBJECTS = StrTest.$(OBJEXT)
StrTest_OBJECTS = $(am_StrTest_OBJECTS)
StrTest_LDADD = $(LDADD)
StrTest_DEPENDENCIES = ../libmonit.la
am_StringBufferTest_OBJECTS = StringBufferTest.$(OBJEXT)
StringBufferTest_OBJECTS = $(am_StringBufferTest_OBJECTS)
StringBufferTest_LDADD = $(LDADD)
StringBufferTest_DEPENDENCIES = ../libmonit.la
am_SystemTest_OBJECTS = SystemTest.$(OBJEXT)
SystemTest_OBJECTS = $(am_SystemTest_OBJECTS)
SystemTest_LDADD = $(LDADD)
SystemTest_DEPENDENCIES = ../libmonit.la
am_TimeTest_OBJECTS = TimeTest.$(OBJEXT)
TimeTest_OBJECTS = $(am_TimeTest_OBJECTS)
TimeTest_LDADD = $(LDADD)
TimeTest_DEPENDENCIES = ../libmonit.la
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
	$(StrTest_SOURCES) $(StringBufferTest_SOURCES) \
	$(SystemTest_SOURCES) $(TimeTest_SOURCES)
DIST_SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
	$(StrTest_SOURCES) $(StringBufferTest_SOURCES) \
	$(SystemTest_SOURCES) $(TimeTest_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AR = ar
AUTOCONF = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -D _REENTRANT -Wall -Wunused -Wno-unused-label -funsigned-char -D_GNU_SOURCE -std=c99
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libmonit
PACKAGE_BUGREPORT = monit-dev@tildeslash.com
PACKAGE_NAME = libmonit
PACKAGE_STRING = libmonit 1.0
PACKAGE_TARNAME = libmonit
PACKAGE_URL = 
PACKAGE_VERSION = 1.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 1.0
abs_builddir = /home/martinp/svn/monit/libmonit/test
abs_srcdir = /home/martinp/svn/monit/libmonit/test
abs_top_builddir = /home/martinp/svn/monit/libmonit
abs_top_srcdir = /home/martinp/svn/monit/libmonit
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/martinp/svn/monit/libmonit/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign no-dependencies
LDADD = ../libmonit.la
AM_CPPFLAGS = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/thread 
StrTest_SOURCES = StrTest.c
CommandTest_SOURCES = CommandTest.c
SystemTest_SOURCES = SystemTest.c
ListTest_SOURCES = ListTest.c
DirTest_SOURCES = DirTest.c
StringBufferTest_SOURCES = StringBufferTest.c
InputStreamTest_SOURCES = InputStreamTest.c
OutputStreamTest_SOURCES = OutputStreamTest.c
FileTest_SOURCES = FileTest.c
ExceptionTest_SOURCES = ExceptionTest.c
NetTest_SOURCES = NetTest.c
TimeTest_SOURCES = TimeTest.c
DISTCLEANFILES = *~ 
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
CommandTest$(EXEEXT): $(CommandTest_OBJECTS) $(CommandTest_DEPENDENCIES) $(EXTRA_CommandTest_DEPENDENCIES) 
	@rm -f CommandTest$(EXEEXT)
	$(LINK) $(CommandTest_OBJECTS) $(CommandTest_LDADD) $(LIBS)
DirTest$(EXEEXT): $(DirTest_OBJECTS) $(DirTest_DEPENDENCIES) $(EXTRA_DirTest_DEPENDENCIES) 
	@rm -f DirTest$(EXEEXT)
	$(LINK) $(DirTest_OBJECTS) $(DirTest_LDADD) $(LIBS)
ExceptionTest$(EXEEXT): $(ExceptionTest_OBJECTS) $(ExceptionTest_DEPENDENCIES) $(EXTRA_ExceptionTest_DEPENDENCIES) 
	@rm -f ExceptionTest$(EXEEXT)
	$(LINK) $(ExceptionTest_OBJECTS) $(ExceptionTest_LDADD) $(LIBS)
FileTest$(EXEEXT): $(FileTest_OBJECTS) $(FileTest_DEPENDENCIES) $(EXTRA_FileTest_DEPENDENCIES) 
	@rm -f FileTest$(EXEEXT)
	$(LINK) $(FileTest_OBJECTS) $(FileTest_LDADD) $(LIBS)
InputStreamTest$(EXEEXT): $(InputStreamTest_OBJECTS) $(InputStreamTest_DEPENDENCIES) $(EXTRA_InputStreamTest_DEPENDENCIES) 
	@rm -f InputStreamTest$(EXEEXT)
	$(LINK) $(InputStreamTest_OBJECTS) $(InputStreamTest_LDADD) $(LIBS)
ListTest$(EXEEXT): $(ListTest_OBJECTS) $(ListTest_DEPENDENCIES) $(EXTRA_ListTest_DEPENDENCIES) 
	@rm -f ListTest$(EXEEXT)
	$(LINK) $(ListTest_OBJECTS) $(ListTest_LDADD) $(LIBS)
NetTest$(EXEEXT): $(NetTest_OBJECTS) $(NetTest_DEPENDENCIES) $(EXTRA_NetTest_DEPENDENCIES) 
	@rm -f NetTest$(EXEEXT)
	$(LINK) $(NetTest_OBJECTS) $(NetTest_LDADD) $(LIBS)
OutputStreamTest$(EXEEXT): $(OutputStreamTest_OBJECTS) $(OutputStreamTest_DEPENDENCIES) $(EXTRA_OutputStreamTest_DEPENDENCIES) 
	@rm -f OutputStreamTest$(EXEEXT)
	$(LINK) $(OutputStreamTest_OBJECTS) $(OutputStreamTest_LDADD) $(LIBS)
StrTest$(EXEEXT): $(StrTest_OBJECTS) $(StrTest_DEPENDENCIES) $(EXTRA_StrTest_DEPENDENCIES) 
	@rm -f StrTest$(EXEEXT)
	$(LINK) $(StrTest_OBJECTS) $(StrTest_LDADD) $(LIBS)

=== debian/changelog ===
monit (1:5.6-2) unstable; urgency=low

  * disable ssl patch for now & reformat patches/series
  * Refresh 06_contrib.patch
  * Document apt's configuration to enable monit's restart while
    upgrade (Closes: #726658).  Thanks to Michael Vogt.
  * Fix lintian error: vcs-field-not-canonical

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 08 Oct 2013 15:47:02 +0400

monit (1:5.6-1) unstable; urgency=low

  * Imported Upstream version 5.6

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 05 Sep 2013 17:03:07 +0400

=== debian/control ===
Source: monit
Section: admin
Priority: optional
Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
Build-Depends: debhelper (>= 9), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any], autotools-dev
# this strange things was installed only on ia64 buildd:
Build-Conflicts: automake, autoconf
Standards-Version: 3.9.4
Homepage: http://mmonit.com/monit/
Vcs-Git: git://anonscm.debian.org/collab-maint/monit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/monit.git;a=summary

Package: monit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
Suggests: exim4 | postfix | mail-transport-agent
Description: utility for monitoring and managing daemons or similar programs
 monit is a utility for monitoring and managing daemons or similar
 programs running on a Unix system. It will start specified programs
 if they are not running and restart programs not responding.
 .
 monit supports:
  * Daemon mode - poll programs at a specified interval
  * Monitoring modes - active, passive or manual
  * Start, stop and restart of programs
  * Group and manage groups of programs
  * Process dependency definition
  * Logging to syslog or own logfile
  * Configuration - comprehensive controlfile
  * Runtime and TCP/IP port checking (tcp and udp)
  * SSL support for port checking
  * Unix domain socket checking
  * Process status and process timeout
  * Process cpu usage
  * Process memory usage
  * Process zombie check
  * Check the systems load average
  * Check a file or directory timestamp
  * Alert, stop or restart a process based on its characteristics
  * MD5 checksum for programs started and stopped by monit
  * Alert notification for program timeout, restart, checksum, stop
    resource and timestamp error
  * Flexible and customizable email alert messages
  * Protocol verification. HTTP, FTP, SMTP, POP, IMAP, NNTP, SSH, DWP,
    LDAPv2 and LDAPv3
  * An http interface with optional SSL support to make monit
    accessible from a webbrowser

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--sysconfdir=/etc/monit

override_dh_installinit:
	dh_installinit -- "start 99 2 3 4 5 . stop 01 0 1 6 ."

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/monit/etc/monit/monitrc
	chmod 0700 debian/monit/var/lib/monit/events

## monit 5.8.1

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -125,12 +125,12 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run aclocal-1.11
+ACLOCAL = ${SHELL} /home/martinp/tmp/monit/libmonit/config/missing --run aclocal-1.11
 AMTAR = $${TAR-tar}
 AR = ar
-AUTOCONF = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run automake-1.11
+AUTOCONF = ${SHELL} /home/martinp/tmp/monit/libmonit/config/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/martinp/tmp/monit/libmonit/config/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/martinp/tmp/monit/libmonit/config/missing --run automake-1.11
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=none
@@ -163,7 +163,7 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/martinp/tmp/monit/libmonit/config/missing --run makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -186,10 +186,10 @@
 SHELL = /bin/bash
 STRIP = strip
 VERSION = 1.0
-abs_builddir = /home/martinp/svn/monit/libmonit/test
-abs_srcdir = /home/martinp/svn/monit/libmonit/test
-abs_top_builddir = /home/martinp/svn/monit/libmonit
-abs_top_srcdir = /home/martinp/svn/monit/libmonit
+abs_builddir = /home/martinp/tmp/monit/libmonit/test
+abs_srcdir = /home/martinp/tmp/monit/libmonit/test
+abs_top_builddir = /home/martinp/tmp/monit/libmonit
+abs_top_srcdir = /home/martinp/tmp/monit/libmonit
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -218,7 +218,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/martinp/svn/monit/libmonit/config/install-sh
+install_sh = ${SHELL} /home/martinp/tmp/monit/libmonit/config/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale

=== debian/changelog ===
monit (1:5.8.1-2) unstable; urgency=low

  * Fix FTBFS on kFreeBSD

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 20 May 2014 02:01:48 +0400

monit (1:5.8.1-1) unstable; urgency=low

  * Imported Upstream version 5.8.1
  * Refresh patches
  * Fix HURD build, broken by upstream
  * Install CONTRIBUTORS file

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 19 May 2014 13:33:44 +0400

monit (1:5.8-1) unstable; urgency=low

  [ Sergey B Kirpichev ]
  * Change recommends for sysvinit-core to suggests (Closes: #740803)
  * Imported Upstream version 5.8

  [ Salvatore Bonaccorso ]
  * Change pid location for apache2 (Closes: #741016)

  [ Victor Seva ]
  * Add myself to Uploaders
  * Refresh patches, remove 12_unixsocket_fix.patch.
  * Update monit.examples, upstart files are now at
    system/startup orig directory.

  [ Sergey B Kirpichev ]
  * Spelling fixes for manpage
  * Change copyright years for Debian packaging

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 15 Apr 2014 00:56:23 +0400

monit (1:5.7-1) unstable; urgency=low

  * Bump up Standards-Version (to 3.9.5)
  * Fix/add Forwarded: headers
  * Imported Upstream version 5.7
  * Refresh patches, remove 06_contrib.patch,
    09_pid_in_rundir.patch and 10_ssl_multiarch.patch
  * Add notes about CLA
  * Removed obsoleted dh_installinit override (thanks to Christian Dröge)
  * Cleanup 11_enable_hurd.patch
  * Actually use type UDP option for unixsocket's (Closes: #739622)
  * Recommend sysvinit

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 21 Feb 2014 16:58:23 +0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
 Build-Depends: debhelper (>= 9), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any], autotools-dev
 # this strange things was installed only on ia64 buildd:
 Build-Conflicts: automake, autoconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mmonit.com/monit/
 Vcs-Git: git://anonscm.debian.org/collab-maint/monit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/monit.git;a=summary
@@ -13,7 +14,7 @@
 Package: monit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
-Suggests: exim4 | postfix | mail-transport-agent
+Suggests: exim4 | postfix | mail-transport-agent, sysvinit-core
 Description: utility for monitoring and managing daemons or similar programs
  monit is a utility for monitoring and managing daemons or similar
  programs running on a Unix system. It will start specified programs

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 	dh_auto_configure -- \
 		--sysconfdir=/etc/monit
 
-override_dh_installinit:
-	dh_installinit -- "start 99 2 3 4 5 . stop 01 0 1 6 ."
-
 override_dh_fixperms:
 	dh_fixperms
 	chmod 600 debian/monit/etc/monit/monitrc

## monit 5.9

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -1,9 +1,8 @@
-# Makefile.in generated by automake 1.11.3 from Makefile.am.
+# Makefile.in generated by automake 1.14.1 from Makefile.am.
 # test/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
-# Foundation, Inc.
+# Copyright (C) 1994-2013 Free Software Foundation, Inc.
+
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -16,6 +15,51 @@
 
 
 
+am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
+am__make_running_with_option = \
+  case $${target_option-} in \
+      ?) ;; \
+      *) echo "am__make_running_with_option: internal error: invalid" \
+              "target option '$${target_option-}' specified" >&2; \
+         exit 1;; \
+  esac; \
+  has_opt=no; \
+  sane_makeflags=$$MAKEFLAGS; \
+  if $(am__is_gnu_make); then \
+    sane_makeflags=$$MFLAGS; \
+  else \
+    case $$MAKEFLAGS in \
+      *\\[\ \	]*) \
+        bs=\\; \
+        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
+          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
+    esac; \
+  fi; \
+  skip_next=no; \
+  strip_trailopt () \
+  { \
+    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
+  }; \
+  for flg in $$sane_makeflags; do \
+    test $$skip_next = yes && { skip_next=no; continue; }; \
+    case $$flg in \
+      *=*|--*) continue;; \
+        -*I) strip_trailopt 'I'; skip_next=yes;; \
+      -*I?*) strip_trailopt 'I';; \
+        -*O) strip_trailopt 'O'; skip_next=yes;; \
+      -*O?*) strip_trailopt 'O';; \
+        -*l) strip_trailopt 'l'; skip_next=yes;; \
+      -*l?*) strip_trailopt 'l';; \
+      -[dEDm]) skip_next=yes;; \
+      -[JT]) skip_next=yes;; \
+    esac; \
+    case $$flg in \
+      *$$target_option*) has_opt=yes; break;; \
+    esac; \
+  done; \
+  test $$has_opt = yes
+am__make_dryrun = (target_option=n; $(am__make_running_with_option))
+am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
 pkgdatadir = $(datadir)/libmonit
 pkgincludedir = $(includedir)/libmonit
 pkglibdir = $(libdir)/libmonit
@@ -40,9 +84,12 @@
 	FileTest$(EXEEXT) ExceptionTest$(EXEEXT) NetTest$(EXEEXT) \
 	TimeTest$(EXEEXT) CommandTest$(EXEEXT)
 subdir = test
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/configure.ac
+am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 mkinstalldirs = $(install_sh) -d
@@ -54,6 +101,10 @@
 CommandTest_OBJECTS = $(am_CommandTest_OBJECTS)
 CommandTest_LDADD = $(LDADD)
 CommandTest_DEPENDENCIES = ../libmonit.la
+AM_V_lt = $(am__v_lt_$(V))
+am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
+am__v_lt_0 = --silent
+am__v_lt_1 = 
 am_DirTest_OBJECTS = DirTest.$(OBJEXT)
 DirTest_OBJECTS = $(am_DirTest_OBJECTS)
 DirTest_LDADD = $(LDADD)
@@ -98,18 +149,39 @@
 TimeTest_OBJECTS = $(am_TimeTest_OBJECTS)
 TimeTest_LDADD = $(LDADD)
 TimeTest_DEPENDENCIES = ../libmonit.la
+AM_V_P = $(am__v_P_$(V))
+am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
+am__v_P_0 = false
+am__v_P_1 = :
+AM_V_GEN = $(am__v_GEN_$(V))
+am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
+am__v_GEN_0 = @echo "  GEN     " $@;
+am__v_GEN_1 = 
+AM_V_at = $(am__v_at_$(V))
+am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
+am__v_at_0 = @
+am__v_at_1 = 
 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
 depcomp =
 am__depfiles_maybe =
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
-	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
+	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
+	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
+	$(AM_CFLAGS) $(CFLAGS)
+AM_V_CC = $(am__v_CC_$(V))
+am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
+am__v_CC_0 = @echo "  CC      " $@;
+am__v_CC_1 = 
 CCLD = $(CC)
-LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
-	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
-	$(LDFLAGS) -o $@
+LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
+	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
+	$(AM_LDFLAGS) $(LDFLAGS) -o $@
+AM_V_CCLD = $(am__v_CCLD_$(V))
+am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
+am__v_CCLD_0 = @echo "  CCLD    " $@;
+am__v_CCLD_1 = 
 SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
 	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
 	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
@@ -122,15 +194,38 @@
 	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
 	$(StrTest_SOURCES) $(StringBufferTest_SOURCES) \
 	$(SystemTest_SOURCES) $(TimeTest_SOURCES)
+am__can_run_installinfo = \
+  case $$AM_UPDATE_INFO_DIR in \
+    n|no|NO) false;; \
+    *) (install-info --version) >/dev/null 2>&1;; \
+  esac
+am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
+# Read a list of newline-separated strings from the standard input,
+# and print each of them once, without duplicates.  Input order is
+# *not* preserved.
+am__uniquify_input = $(AWK) '\
+  BEGIN { nonempty = 0; } \
+  { items[$$0] = 1; nonempty = 1; } \
+  END { if (nonempty) { for (i in items) print i; }; } \
+'
+# Make sure the list of sources is unique.  This is necessary because,
+# e.g., the same source file might be shared among _SOURCES variables
+# for different programs/libraries.
+am__define_uniq_tagged_files = \
+  list='$(am__tagged_files)'; \
+  unique=`for i in $$list; do \
+    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+  done | $(am__uniquify_input)`
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/martinp/tmp/monit/libmonit/config/missing --run aclocal-1.11
+ACLOCAL = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing aclocal-1.14
 AMTAR = $${TAR-tar}
+AM_DEFAULT_VERBOSITY = 1
 AR = ar
-AUTOCONF = ${SHELL} /home/martinp/tmp/monit/libmonit/config/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/martinp/tmp/monit/libmonit/config/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/martinp/tmp/monit/libmonit/config/missing --run automake-1.11
+AUTOCONF = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing autoconf
+AUTOHEADER = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing autoheader
+AUTOMAKE = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing automake-1.14
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=none
@@ -163,7 +258,7 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/martinp/tmp/monit/libmonit/config/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -186,10 +281,10 @@
 SHELL = /bin/bash
 STRIP = strip
 VERSION = 1.0
-abs_builddir = /home/martinp/tmp/monit/libmonit/test
-abs_srcdir = /home/martinp/tmp/monit/libmonit/test
-abs_top_builddir = /home/martinp/tmp/monit/libmonit
-abs_top_srcdir = /home/martinp/tmp/monit/libmonit
+abs_builddir = /home/martinp/svn/monit/libmonit/test
+abs_srcdir = /home/martinp/svn/monit/libmonit/test
+abs_top_builddir = /home/martinp/svn/monit/libmonit
+abs_top_srcdir = /home/martinp/svn/monit/libmonit
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -218,13 +313,13 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/martinp/tmp/monit/libmonit/config/install-sh
+install_sh = ${SHELL} /home/martinp/svn/monit/libmonit/config/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
 mandir = ${datarootdir}/man
-mkdir_p = /bin/mkdir -p
+mkdir_p = $(MKDIR_P)
 oldincludedir = /usr/include
 pdfdir = ${docdir}
 prefix = /usr/local
@@ -259,68 +354,3 @@
 .SUFFIXES:
 .SUFFIXES: .c .lo .o .obj
 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
-	@for dep in $?; do \
-	  case '$(am__configure_deps)' in \
-	    *$$dep*) \
-	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
-	        && { if test -f $@; then exit 0; else break; fi; }; \
-	      exit 1;; \
-	  esac; \
-	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
-	$(am__cd) $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign test/Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	@case '$?' in \
-	  *config.status*) \
-	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
-	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
-	esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure:  $(am__configure_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(am__aclocal_m4_deps):
-
-clean-noinstPROGRAMS:
-	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
-	echo " rm -f" $$list; \
-	rm -f $$list || exit $$?; \
-	test -n "$(EXEEXT)" || exit 0; \
-	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
-	echo " rm -f" $$list; \
-	rm -f $$list
-CommandTest$(EXEEXT): $(CommandTest_OBJECTS) $(CommandTest_DEPENDENCIES) $(EXTRA_CommandTest_DEPENDENCIES) 
-	@rm -f CommandTest$(EXEEXT)
-	$(LINK) $(CommandTest_OBJECTS) $(CommandTest_LDADD) $(LIBS)
-DirTest$(EXEEXT): $(DirTest_OBJECTS) $(DirTest_DEPENDENCIES) $(EXTRA_DirTest_DEPENDENCIES) 
-	@rm -f DirTest$(EXEEXT)
-	$(LINK) $(DirTest_OBJECTS) $(DirTest_LDADD) $(LIBS)
-ExceptionTest$(EXEEXT): $(ExceptionTest_OBJECTS) $(ExceptionTest_DEPENDENCIES) $(EXTRA_ExceptionTest_DEPENDENCIES) 
-	@rm -f ExceptionTest$(EXEEXT)
-	$(LINK) $(ExceptionTest_OBJECTS) $(ExceptionTest_LDADD) $(LIBS)
-FileTest$(EXEEXT): $(FileTest_OBJECTS) $(FileTest_DEPENDENCIES) $(EXTRA_FileTest_DEPENDENCIES) 
-	@rm -f FileTest$(EXEEXT)
-	$(LINK) $(FileTest_OBJECTS) $(FileTest_LDADD) $(LIBS)
-InputStreamTest$(EXEEXT): $(InputStreamTest_OBJECTS) $(InputStreamTest_DEPENDENCIES) $(EXTRA_InputStreamTest_DEPENDENCIES) 
-	@rm -f InputStreamTest$(EXEEXT)
-	$(LINK) $(InputStreamTest_OBJECTS) $(InputStreamTest_LDADD) $(LIBS)
-ListTest$(EXEEXT): $(ListTest_OBJECTS) $(ListTest_DEPENDENCIES) $(EXTRA_ListTest_DEPENDENCIES) 
-	@rm -f ListTest$(EXEEXT)
-	$(LINK) $(ListTest_OBJECTS) $(ListTest_LDADD) $(LIBS)
-NetTest$(EXEEXT): $(NetTest_OBJECTS) $(NetTest_DEPENDENCIES) $(EXTRA_NetTest_DEPENDENCIES) 
-	@rm -f NetTest$(EXEEXT)
-	$(LINK) $(NetTest_OBJECTS) $(NetTest_LDADD) $(LIBS)
-OutputStreamTest$(EXEEXT): $(OutputStreamTest_OBJECTS) $(OutputStreamTest_DEPENDENCIES) $(EXTRA_OutputStreamTest_DEPENDENCIES) 
-	@rm -f OutputStreamTest$(EXEEXT)
-	$(LINK) $(OutputStreamTest_OBJECTS) $(OutputStreamTest_LDADD) $(LIBS)
-StrTest$(EXEEXT): $(StrTest_OBJECTS) $(StrTest_DEPENDENCIES) $(EXTRA_StrTest_DEPENDENCIES) 
-	@rm -f StrTest$(EXEEXT)
-	$(LINK) $(StrTest_OBJECTS) $(StrTest_LDADD) $(LIBS)

=== debian/changelog ===
monit (1:5.9-1+deb8u1) jessie; urgency=medium

  * Fix umask-related regression between 5.8.1 and 5.9 (Closes: #796989)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 12 Sep 2015 11:34:20 +0300

monit (1:5.9-1) unstable; urgency=medium

  * Imported Upstream version 5.9

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 30 Sep 2014 13:55:49 +0400

monit (1:5.8.1-3) unstable; urgency=medium

  * Add lintian override for init.d-script-depends-on-all-virtual-facility

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 30 Aug 2014 15:55:51 +0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
-Build-Depends: debhelper (>= 9), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any], autotools-dev
-# this strange things was installed only on ia64 buildd:
-Build-Conflicts: automake, autoconf
+Build-Depends: debhelper (>= 9), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any], dh-autoreconf
 Standards-Version: 3.9.5
 Homepage: http://mmonit.com/monit/
 Vcs-Git: git://anonscm.debian.org/collab-maint/monit.git
